#ifndef _commonssl_h
#define _commonssl_h

#include <stdio.h>
#include <stdlib.h>
#include <errno.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <netinet/tcp.h>
#include <netdb.h>
#include <fcntl.h>
#include <signal.h>
#include <unistd.h>
#include <string.h>

#include <openssl/ssl.h>

#define CA_LIST "/usr/local/ssl/cert.pem"
#define HOST	"localhost"
#define BUFSIZZ 1024

extern BIO *bio_err;
int berr_exit(char *string);
int err_exit(char *string);

SSL_CTX *initialize_ctx();
void destroy_ctx(SSL_CTX *ctx);
void check_cert(SSL *ssl,char *host);

#ifndef ALLOW_OLD_VERSIONS
#if (OPENSSL_VERSION_NUMBER < 0x00905100L)
#error "Must use OpenSSL 0.9.6 or later"
#endif
#endif

#endif


