/* plugins/netutils.h.  Generated automatically by configure.  */
/******************************************************************************
*
* Nagios plugins net utilities include file
*
* License: GPL
* Copyright (c) 1999 Ethan Galstad (nagios@nagios.org)
*
* Last Modified: $Date: 2003/01/06 20:50:07 $
*
* Description:
*
* This file contains common include files and function definitions
* used in many of the plugins.
*
* License Information:
*
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*
******************************************************************************/

#define STDC_HEADERS 1
#define HAVE_STRINGS_H 1
#define HAVE_STRING_H 1

#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <netdb.h>

#include "commonssl.h"

void socket_timeout_alarm_handler (int);

int process_tcp_request2 (char *address, int port, char *sbuffer,
													char *rbuffer, int rsize);
int process_tcp_request (char *address, int port, char *sbuffer,
												 char *rbuffer, int rsize);
int process_udp_request (char *address, int port, char *sbuffer,
												 char *rbuffer, int rsize);
int process_request (char *address, int port, char *proto, char *sbuffer,
										 char *rbuffer, int rsize);

int my_tcp_connect (char *address, int port, int *sd);
int my_udp_connect (char *address, int port, int *sd);
int my_ssl_connect (char *address, int port, int sd, SSL **ssl);
int my_connect (char *address, int port, int *sd, char *proto);

int my_inet_aton (register const char *cp, struct in_addr *addr);

#ifndef DEFAULT_SOCKET_TIMEOUT
#include "config.h"
#include "common.h"
#endif
int socket_timeout = DEFAULT_SOCKET_TIMEOUT;
